import type { ClassNameProps } from "../classname.js";
export type LinkFormSubmitParams = {
    url: string;
    text: string;
};
export type LinkFormProps = ClassNameProps & {
    autoFocus?: boolean;
    initialUrl?: string;
    initialText?: string;
    readOnlyText?: boolean;
    onSubmit(params: LinkFormSubmitParams): void;
    onCancel(): void;
};
export declare const LinkForm: import("react").NamedExoticComponent<LinkFormProps>;
